Bug 10841 - Edit/Delete item context links in items table are not translatable
Summary: Edit/Delete item context links in items table are not translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-07 23:06 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10841: Make edit/delete item context links in cataloguing translatable (4.19 KB, patch)
2013-09-07 23:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10841: Make edit/delete item context links in cataloguing translatable (4.29 KB, patch)
2013-09-09 13:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10841: Make edit/delete item context links in cataloguing translatable (4.31 KB, patch)
2013-09-09 15:47 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-09-07 23:06:34 UTC
To test:
- Install an additional language
- Edit items for a record with multiple items
- Click somewhere in the items table
- Verify the links for editing and deleting items show up and work correctly, but are not translated. Also capitalization is not correct.
Comment 1 Katrin Fischer 2013-09-07 23:08:06 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-09-09 13:14:50 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-09-09 15:47:52 UTC
Created attachment 20919 [details] [review]
Bug 10841: Make edit/delete item context links in cataloguing translatable

HTML created with Javascript is not translatable the way HTML is
normally translated. _() syntax has to be used to have strings
translatable.

To test:
- Edit items for a record with multiple items
- Click somewhere in the items table
- Verify the links for editing and deleting items show up and work correctly
- Apply patch
- Verify the links still show the same behaviour

Bonus:
- Run 'perl translate update <languagecode>' in misc/translator
- Verify that Edit item and Delete item show up in the po file, translate them
- Install updated po files running 'perl translate install <languagecode>'
- Verify links show up translated and work correctly

Patch also fixes capitalization for a couple of error messages - only change
there is: Deleted > deleted.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2013-09-16 16:37:30 UTC
Pushed to master.  Thanks, Katrin!
Comment 5 Tomás Cohen Arazi 2013-11-07 17:57:28 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Katrin!